// JavaScript Document
var Z_Slider = new Class({
	
		//implements
		Implements: [Options, Events],
	
		//options
		options: {
			imageHolder: 'z_image_holder',
			imageCount : 0, 
			controllerHolder:'z_controller_holder',
			zIndexStart:1,
			maxIndex:1,
			isRunning:false

		},
		//initialization
		initialize: function(options) {
			this.setOptions(options);
			this.assignZIndex();
		},
		assignZIndex: function() {
			var start = this.options.zIndexStart;
			var $this= this;
			$$('#'+this.options.imageHolder + ' img').each(function(ele){
				ele.setStyle('z-index',parseInt(start));
				$($this.options.imageHolder).store('current',ele);
				start++;
				ele.addEvent('click', function(){
					$this.swapImage();
				});
			});
			this.maxIndex = parseInt(start)-parseInt(1);
		},
		swapImage: function()
		{
			if(this.isRunning)
				return false;
				
			this.isRunning =true;
			var $this= this;
			
			$$('#'+this.options.imageHolder + ' img').each(function(ele){
				var curZ = ele.getStyle('z-index').toInt();
				if(curZ == $this.maxIndex)
				{
					ele.set('morph',{
						duration:1000,
						link:'chain',
						onComplete: function(){
							ele.setStyle('z-index',1);
							//ele.set('tween',{ duration:1000 });
							//ele.tween({top:0});
							ele.setStyle('width','auto');
							ele.setStyle('height','auto');
							ele.setStyle('top',0);
							
							$this.isRunning = false;
						}
					});
					var topv = (parseInt(ele.getStyle('height').toInt())/parseInt(2)).round();
					ele.morph({height: 0, width: 0, top: topv});

				}
				else
				{
					ele.set('tween',{
						duration:1000,
						link:'chain',
						onComplete: function(){
							ele.setStyle('z-index',parseInt(curZ)+parseInt(1));		
						}	
					});
					ele.tween('top', 0);			
				}
			});
		}
	});


// Creating A Object Start
window.addEvent('domready', function(){
	var Z_Sliderss = new Z_Slider();		
});
// Creating A Object End
	
